// static/scripts.js
document.getElementById('downloadForm').addEventListener('submit', async function(event) {
    event.preventDefault();
    const url = document.getElementById('url').value;
    const response = await fetch('/download', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({ url })
    });

    if (response.ok) {
        const data = await response.json();
        const downloadId = data.download_id;
        const fileName = data.file_name;

        // Start an SSE connection to track download progress
        const eventSource = new EventSource(`/progress/${downloadId}`);
        eventSource.onmessage = function(event) {
            document.getElementById('progressValue').innerText = event.data + '%';
            if (event.data === "100.00") {
                eventSource.close();
                document.getElementById('downloadLink').style.display = 'block';
                document.getElementById('fileLink').href = `/download-file/${fileName}`;
            }
        };
    } else {
        alert("Error: Unable to start the download.");
    }
});
